Commerce · Commerce
Fetches a page. Works with Shopify and WooCommerce accounts.
GET
https://api.pozy.ai/v1/commerce/pages/{pageId}Shopify and WooCommercegetCommercePage
Guides: Commerce & blogs, Products and catalog
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the commerce resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
pageIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/commerce/pages/675e1e95e076854531b4d051?accountId=696e0b682d0a31188e7a2ba9" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/commerce/pages/675e1e95e076854531b4d051?accountId=696e0b682d0a31188e7a2ba9", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/commerce/pages/675e1e95e076854531b4d051",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
pageobject10 child fields
idstringaccountIdstringplatformstringOne of
shopify.titlestringhandlestringbodyHtmlstringisPublishedbooleanpublishedAtstring (date-time)Can be null.
createdAtstring (date-time)Can be null.
updatedAtstring (date-time)Can be null.
200 response
{
"page": {
"id": "6bfebd43ddc270f6d2c56fc5",
"accountId": "696e0b682d0a31188e7a2ba9",
"platform": "shopify",
"title": "Launch day",
"handle": "acme",
"bodyHtml": "string",
"isPublished": true,
"publishedAt": "2026-10-02T09:00:00.000Z",
"createdAt": "2026-10-02T09:00:00.000Z",
"updatedAt": "2026-10-02T09:00:00.000Z"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Commerce
GETGet a storeGETList ordersGETGet an orderGETList productsPOSTCreate a productPOSTActivate, deactivate, archive or delete productsGETGet a productPATCHUpdate a productPOSTUpdate variant pricesGETList collectionsPOSTCreate a collectionGETGet a collectionPATCHUpdate a collectionDELDelete a collectionPOSTAdd or remove products in a collectionPOSTAdd variantsDELDelete variantsPOSTAdd optionsDELDelete optionsPOSTAdd imagesDELRemove imagesPOSTReorder imagesPOSTDuplicate a productGETList product metafieldsPUTSet product metafieldsDELDelete product metafieldsPOSTPublish or unpublish a productGETList collection metafieldsPUTSet collection metafieldsDELDelete collection metafieldsPOSTPublish or unpublish a collectionPOSTAdd or remove tags in bulkPOSTReorder products in a collectionGETList pagesPOSTCreate a pagePATCHUpdate a pageDELDelete a pageGETList locationsGETGet a product's stockPOSTSet or adjust stockGETList sales channelsGETList discountsPOSTCreate a discountGETGet a discountPATCHUpdate a discountDELDelete a discountPOSTActivate or deactivate a discountPOSTAdd codes to a discountGETList URL redirectsPOSTCreate a URL redirectPATCHUpdate a URL redirectDELDelete a URL redirectGETList navigation menusPOSTCreate a navigation menuGETGet a navigation menuPUTReplace a navigation menuDELDelete a navigation menuGETList metaobject definitionsGETList metaobjects of a typePOSTCreate a metaobjectGETGet a metaobjectPATCHUpdate a metaobjectDELDelete a metaobjectGETList marketsGETList price listsPUTSet fixed pricesDELRemove fixed pricesPUTRecord a marketing activityDELDelete a marketing activityPOSTReport daily engagementGETList catalog syncsPOSTSync a store into a Meta catalogGETGet a catalog syncDELStop a catalog syncPOSTRun a catalog sync now